Subject: Re: No interaction with bash?
From: [email-masked] (Raj Menon)

29 May 1998 03:09:35 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: [email-masked]

>> I've look in the FAQ and a brief tour in the mailing lists. Its probably
>> there but needs to be "in my face" a bit more ;-).
>> Andway - If I run a "certain" program from cmd.exe it works fine. If I run
>> it from sh it exits without doing anything.
>> 
>> The program is MSVC link.exe
>> 
>> From CMD.EXE it prompts for files etc. as follows (ignore the fatal error -
>>  thats just me hitting return)
>>
>> [...]
>>
>> From bash  I get the following: (ie no interaction at all )
>>
>> [...]
>>
>
> To interact with NON-CYGWINB19.DLL dependent binaries you must "SET
> CYGWIN32=notty" before starting bash.  You can add your other favorite
> values but you must at least have notty.

Or use TCSH.  I have been using the one from Sergey's site for a while
with none of the problems I see in BASH.  I have my CYGWIN32 env var
set to "tty" and I still see the output of the win32 apps (with the latest coolview).
Also, I have all my mounts set to the default (text!=binary).  I almost
never see problems with cygwin apps running under tcsh (text!=binary problems
that is).

-raj

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               !
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".